/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2009. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_SPEED                     2
#define  PANEL_GRATING                   3
#define  PANEL_GetV                      4       /* callback function: GetVelocity */
#define  PANEL_SETV                      5       /* callback function: SetVelocity */
#define  PANEL_YSET                      6
#define  PANEL_XSET                      7
#define  PANEL_YPOS                      8
#define  PANEL_XPOS                      9
#define  PANEL_WL                        10
#define  PANEL_GetGR                     11      /* callback function: GetGrating */
#define  PANEL_SETGRATING                12      /* callback function: SetGrating */
#define  PANEL_GetWL                     13      /* callback function: GetWavelength */
#define  PANEL_SETWL                     14      /* callback function: SetWavelength */
#define  PANEL_TEST                      15      /* callback function: Test */
#define  PANEL_EXIT                      16      /* callback function: Exit */
#define  PANEL_CSPEED                    17
#define  PANEL_CGRATING                  18
#define  PANEL_CWL                       19
#define  PANEL_LED                       20
#define  PANEL_KORAK                     21      /* callback function: ckorak */
#define  PANEL_DO                        22      /* callback function: ckorak */
#define  PANEL_OD                        23      /* callback function: ckorak */
#define  PANEL_SETXY                     24      /* callback function: SetXY */
#define  PANEL_STOP                      25      /* callback function: StopCB */
#define  PANEL_START                     26      /* callback function: zacni */
#define  PANEL_RKORAK                    27
#define  PANEL_GRAPH2                    28
#define  PANEL_GRAPH                     29
#define  PANEL_ZADETKI                   30
#define  PANEL_LAMBDASET                 31
#define  PANEL_VALOVNA                   32
#define  PANEL_DELAY                     33
#define  PANEL_CH                        34      /* callback function: UpdatePlotsCB */
#define  PANEL_FPOINTS                   35
#define  PANEL_FNAME                     36
#define  PANEL_LOADFPOINTS               37      /* callback function: LoadFpoints */
#define  PANEL_DECORATION                38


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ckorak(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Exit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GetGrating(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GetVelocity(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GetWavelength(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LoadFpoints(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetGrating(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetVelocity(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetWavelength(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetXY(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK StopCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Test(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdatePlotsCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK zacni(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
