/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2009. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CAEN470                         1
#define  CAEN470_RDW_3                   2       /* callback function: CAEN_N470_Set */
#define  CAEN470_RUP_3                   3       /* callback function: CAEN_N470_Set */
#define  CAEN470_I1_3                    4       /* callback function: CAEN_N470_Set */
#define  CAEN470_V1_3                    5       /* callback function: CAEN_N470_Set */
#define  CAEN470_I0_3                    6       /* callback function: CAEN_N470_Set */
#define  CAEN470_TRIP_3                  7       /* callback function: CAEN_N470_Set */
#define  CAEN470_V0_3                    8       /* callback function: CAEN_N470_Set */
#define  CAEN470_MAXV_3                  9
#define  CAEN470_IMON_3                  10
#define  CAEN470_VMON_3                  11
#define  CAEN470_STATUS_3                12
#define  CAEN470_RDW_2                   13      /* callback function: CAEN_N470_Set */
#define  CAEN470_RUP_2                   14      /* callback function: CAEN_N470_Set */
#define  CAEN470_I1_2                    15      /* callback function: CAEN_N470_Set */
#define  CAEN470_V1_2                    16      /* callback function: CAEN_N470_Set */
#define  CAEN470_TRIP_2                  17      /* callback function: CAEN_N470_Set */
#define  CAEN470_I0_2                    18      /* callback function: CAEN_N470_Set */
#define  CAEN470_V0_2                    19      /* callback function: CAEN_N470_Set */
#define  CAEN470_MAXV_2                  20
#define  CAEN470_IMON_2                  21
#define  CAEN470_VMON_2                  22
#define  CAEN470_STATUS_2                23
#define  CAEN470_RDW_1                   24      /* callback function: CAEN_N470_Set */
#define  CAEN470_RUP_1                   25      /* callback function: CAEN_N470_Set */
#define  CAEN470_I1_1                    26      /* callback function: CAEN_N470_Set */
#define  CAEN470_TRIP_1                  27      /* callback function: CAEN_N470_Set */
#define  CAEN470_V1_1                    28      /* callback function: CAEN_N470_Set */
#define  CAEN470_I0_1                    29      /* callback function: CAEN_N470_Set */
#define  CAEN470_V0_1                    30      /* callback function: CAEN_N470_Set */
#define  CAEN470_MAXV_1                  31
#define  CAEN470_IMON_1                  32
#define  CAEN470_VMON_1                  33
#define  CAEN470_STATUS_1                34
#define  CAEN470_RDW_0                   35      /* callback function: CAEN_N470_Set */
#define  CAEN470_RUP_0                   36      /* callback function: CAEN_N470_Set */
#define  CAEN470_TRIP_0                  37      /* callback function: CAEN_N470_Set */
#define  CAEN470_I1_0                    38      /* callback function: CAEN_N470_Set */
#define  CAEN470_V1_0                    39      /* callback function: CAEN_N470_Set */
#define  CAEN470_I0_0                    40      /* callback function: CAEN_N470_Set */
#define  CAEN470_V0_0                    41      /* callback function: CAEN_N470_Set */
#define  CAEN470_MAXV_0                  42
#define  CAEN470_IMON_0                  43
#define  CAEN470_VMON_0                  44
#define  CAEN470_STATUS_0                45
#define  CAEN470_CLOSE                   46      /* callback function: CAEN470_Close */
#define  CAEN470_READ                    47      /* callback function: CAEN470_Read */
#define  CAEN470_CH_3                    48      /* callback function: CAEN_N470_Set */
#define  CAEN470_CH_2                    49      /* callback function: CAEN_N470_Set */
#define  CAEN470_CH_1                    50      /* callback function: CAEN_N470_Set */
#define  CAEN470_CH_0                    51      /* callback function: CAEN_N470_Set */
#define  CAEN470_NVAL                    52
#define  CAEN470_NVAL1                   53
#define  CAEN470_VAL                     54
#define  CAEN470_CMD                     55
#define  CAEN470_ADDR                    56
#define  CAEN470_SR                      57      /* callback function: ReadCB */
#define  CAEN470_SW                      58      /* callback function: WriteCB */
#define  CAEN470_SCAN                    59      /* callback function: ScanCB */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CAEN470_Close(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CAEN470_Read(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CAEN_N470_Set(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ReadCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ScanCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK WriteCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
