/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  P1                              1
#define  P1_EXIT                         2
#define  P1_CEVE                         3
#define  P1_NEVE                         4
#define  P1_DELAY                        5
#define  P1_DAQ                          6
#define  P1_NT                           7
#define  P1_NTFILE                       8
#define  P1_PLCH                         9
#define  P1_NEWF                         10
#define  P1_RSTMAX                       11      /* callback function: Reset */
#define  P1_GRAPH                        12
#define  P1_TIMER                        13      /* callback function: cb_timer */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK cb_timer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Reset(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
