#!/bin/bash
cd /cygdrive/c/home/samo/staranje
date

SFX=`date +'%Y_%W'`

export FHV=hv
export FHVMON=${FHV}_$SFX.dat

export FLOG=memlog
export FLOG0=${FLOG}_$SFX.dat

export FSC=scaler
export FSCR=${FSC}_$SFX.dat
export FAD=adc
export FADC=${FAD}_$SFX.dat
export AMASK=0x1
export NEVE=100000

export FCUR=currents
export FCURR=${FCUR}_$SFX.dat
export DELAY=1
export THRESHOLD=40

export QROOT=queueroot.sh
##################################################################
date > tmp.out

echo  ROOTSYS = $ROOTSYS >> tmp.out
echo  PATH = $PATH >> tmp.out
echo  LD_LIBRARY_PATH = $LD_LIBRARY_PATH >> tmp.out

util/memlog.exe $FLOG0

if [ -e staranje.lock ];
then 
###################
echo Previous script still running 
NL=`cat staranje.lock | wc -l`
echo Number of lines in lock file: $NL
if [ $NL -gt 1 ];
then

date > lasterror.log
TASKLIST /FI "IMAGENAME eq tasklist.exe" /V /NH >> lasterror.log
TASKLIST /FI "IMAGENAME eq k6517a.exe" /V /NH >> lasterror.log
TASKLIST /FI "IMAGENAME eq caenn470.exe" /V /NH >> lasterror.log
TASKLIST /FI "IMAGENAME eq vmescaler.exe" /V /NH >> lasterror.log
TASKLIST /FI "IMAGENAME eq CaenV965.exe" /V /NH >> lasterror.log

echo "################" >> lasterror.log

TASKKILL /F /IM k6517a.exe /IM  caenn470.exe /IM vmescaler.exe /IM CaenV965.exe
IM=`cat lasterror.log`
cat lasterror.log >> error.log
wget  http://www-f9.ijs.si/~rok/aerorich/mcpaging/mail.php?errno="Error $NL"\&txt="$IM" -O tmp.txt  >> /dev/null  2>&1

rm staranje.lock

else
echo Will sleep this time `date` >> staranje.lock

fi
####################
else 
echo Starting ...
date >> staranje.lock
Keithley6517A/k6517a.exe :READ?  $FCURR
CaenN470/caenn470.exe 1 $FHVMON  > caenn470tmp.out
CaenV830/vmescaler.exe 1 $DELAY $THRESHOLD $FSCR > vmescalertmp.out



##################################################################
if [ -e adc.out ];
then
CaenV965/CaenV965.exe  $NEVE $FADC $AMASK > adctmp.out
rm adc.out
fi
##################################################################


rm -rf staranje.lock
fi 
